## jlapack 0.8~dfsg

=== jlapack-3.1.1/Makefile ===
include make.def

default:
	@echo ""
	@echo "JLAPACK (version: $(VERSION))"
	@echo ""
	@echo "The possible targets are as follows:"
	@echo ""
	@echo "Translated from Fortran directly to bytecode:"
	@echo "  lib - BLAS and LAPACK libraries"
	@echo "  testers - BLAS and LAPACK test routines"
	@echo "  alltests - build and run the test routines"
	@echo "  alldist - a distribution of everything"
	@echo "  libdist - a distribution of the BLAS and LAPACK libraries"
	@echo "  libdist_strict - a distribution of BLAS/LAPACK containing all strictfp versions"
	@echo "  testers_dist - a distribution of the BLAS and LAPACK test routines"
	@echo "  timers - BLAS and LAPACK timing routines"
	@echo "  timers_dist - a distribution of the BLAS and LAPACK timing routines"
	@echo ""
	@echo "Translated from Fortran to Java source:"
	@echo "  javasrc - BLAS and LAPACK libraries"
	@echo "  testers_javasrc - BLAS and LAPACK test routines"
	@echo "  alltests_javasrc - build and run the test routines"
	@echo "  libdist_javasrc - a distribution of the BLAS and LAPACK libraries"
	@echo "  libdist_strict_javasrc - a distribution of BLAS/LAPACK containing all strictfp versions"
	@echo "  testers_dist_javasrc - a distribution of the BLAS and LAPACK test routines"
	@echo ""
	@echo "Documentation:"
	@echo "  javadoc - documentation in javadoc HTML format"
	@echo "  javadoc_dist - distribution of the documentation"
	@echo ""
	@echo "Other:"
	@echo "  clean - remove all jar files, generated code, etc."

alldist:
	$(MAKE) clean
	$(MAKE) libdist
	$(MAKE) almost_clean
	$(MAKE) libdist_strict
	$(MAKE) almost_clean
	$(MAKE) testers_dist
	$(MAKE) almost_clean
	$(MAKE) javadoc_dist

lib:
	cd $(SRCDIR); $(MAKE)

all:
	cd $(SRCDIR); $(MAKE) all

testers: lib
	cd $(TESTING_DIR); $(MAKE) testers

matgen:
	cd $(MATGEN_DIR); $(MAKE)

smatgen:
	cd $(SMATGEN_DIR); $(MAKE)

timers: lib matgen smatgen
	cd $(TIMING_DIR); $(MAKE) timers

testers_javasrc: javasrc
	cd $(TESTING_DIR); $(MAKE) -f Makefile_javasrc testers

alltests: testers
	cd $(TESTING_DIR); $(MAKE) runtests

alltests_javasrc: testers_javasrc 
	cd $(TESTING_DIR); $(MAKE) -f Makefile_javasrc runtests

javasrc:
	cd $(SRCDIR); $(MAKE) -f Makefile_javasrc

javadoc: lib
	mkdir -p doc
	javadoc -author -sourcepath $(BLAS_OBJ):$(LAPACK_OBJ):$(ERR_OBJ):$(UTIL_F2J_SRC_DIR) -d doc -J-mx256000000 $(UTIL_PACKAGE) $(BLAS_PACKAGE) $(LAPACK_PACKAGE) $(ERR_PACKAGE)

javadoc_dist: javadoc
	/bin/rm -f $(JAVADOC_DIST_ZIP) $(JAVADOC_DIST_TGZ) $(VERSION)/doc
	mkdir -p $(VERSION)
	cd $(VERSION); ln -s ../doc doc
	$(ZIP) -r9 $(JAVADOC_DIST_ZIP) $(VERSION)/doc
	$(TAR) $(TARFLAGS) - $(VERSION)/doc | $(GZIP) > $(JAVADOC_DIST_TGZ)

libdist: lib libdist_common
	$(ZIP) -r9 $(LIBDIST_ZIP) $(VERSION)
	$(TAR) $(TARFLAGS) - $(VERSION) | $(GZIP) > $(LIBDIST_TGZ)

libdist_javasrc: javasrc libdist_common
	$(ZIP) -r9 $(LIBDIST_ZIP) $(VERSION)
	$(TAR) $(TARFLAGS) - $(VERSION) | $(GZIP) > $(LIBDIST_TGZ)

libdist_common:
	/bin/rm -rf $(VERSION)
	mkdir -p $(VERSION)/examples
	cp README INSTALL CHANGES $(VERSION)
	cp examples/*.java examples/Makefile examples/README $(VERSION)/examples
	$(MAKE) STRICT_DIR="" libdist_copy_jar_files

libdist_strict:
	$(MAKE) LIB_TARGET=lib libdist_strict_common
	$(ZIP) -r9 $(LIBDIST_STRICT_ZIP) $(VERSION)
	$(TAR) $(TARFLAGS) - $(VERSION) | $(GZIP) > $(LIBDIST_STRICT_TGZ)

libdist_strict_javasrc:
	$(MAKE) LIB_TARGET=javasrc libdist_strict_common
	$(ZIP) -r9 $(LIBDIST_STRICT_ZIP) $(VERSION)
	$(TAR) $(TARFLAGS) - $(VERSION) | $(GZIP) > $(LIBDIST_STRICT_TGZ)

libdist_strict_common:
	$(MAKE) almost_clean
	/bin/rm -rf $(VERSION)
	mkdir -p $(VERSION)/plain
	mkdir -p $(VERSION)/strict_both
	mkdir -p $(VERSION)/strict_fp
	mkdir -p $(VERSION)/strict_math_lib
	$(MAKE) STATIC=-fb $(LIB_TARGET)
	$(MAKE) STRICT_DIR=strict_both libdist_copy_jar_files
	cd src; $(MAKE) clean
	$(MAKE) STATIC=-fm $(LIB_TARGET)
	$(MAKE) STRICT_DIR=strict_math_lib libdist_copy_jar_files
	cd src; $(MAKE) clean
	$(MAKE) STATIC=-fs $(LIB_TARGET)
	$(MAKE) STRICT_DIR=strict_fp libdist_copy_jar_files
	cd src; $(MAKE) clean
	$(MAKE) $(LIB_TARGET)
	$(MAKE) STRICT_DIR=plain libdist_copy_jar_files
	cp README INSTALL CHANGES $(VERSION)
	mkdir -p $(VERSION)/examples
	cp examples/*.java examples/Makefile examples/README $(VERSION)/examples

libdist_copy_jar_files:
	cp $(BLAS_DIR)/$(BLAS_JAR) $(BLAS_DIR)/$(SIMPLE_BLAS_JAR) \
           $(LAPACK_DIR)/$(LAPACK_JAR) $(LAPACK_DIR)/$(SIMPLE_LAPACK_JAR) \
           $(UTIL_DIR)/$(UTIL_JAR) $(ERR_DIR)/$(ERR_JAR) $(VERSION)/$(STRICT_DIR)

testers_dist: testers testers_dist_common
	$(ZIP) -r9 $(TESTERS_DIST_ZIP) $(VERSION)/testing
	$(TAR) $(TARFLAGS) - $(VERSION)/testing | $(GZIP) > $(TESTERS_DIST_TGZ)

testers_dist_javasrc: testers_javasrc testers_dist_common
	$(ZIP) -r9 $(TESTERS_DIST_ZIP) $(VERSION)/testing
	$(TAR) $(TARFLAGS) - $(VERSION)/testing | $(GZIP) > $(TESTERS_DIST_TGZ)

testers_dist_common:
	/bin/rm -rf $(VERSION)/testing
	mkdir -p $(VERSION)/testing
	-/bin/cp $(BLAS2TEST_DIR)/*.in $(BLAS3TEST_DIR)/*.in $(SBLAS2TEST_DIR)/*.in \
                 $(SBLAS3TEST_DIR)/*.in $(LINTEST_DIR)/*.in $(SLINTEST_DIR)/*.in \
                 $(EIGTEST_DIR)/*.in $(SEIGTEST_DIR)/*.in $(VERSION)/testing
	-/bin/cp $(DISTDIR_TESTING)/*.sh $(DISTDIR_TESTING)/*.bat \
                 $(DISTDIR_TESTING)/README $(VERSION)/testing
	-ln -s ../../$(BLAS1TEST_DIR)/$(BLAS1TEST_JAR) $(VERSION)/testing/$(BLAS1TEST_JAR)
	-ln -s ../../$(BLAS2TEST_DIR)/$(BLAS2TEST_JAR) $(VERSION)/testing/$(BLAS2TEST_JAR)
	-ln -s ../../$(BLAS3TEST_DIR)/$(BLAS3TEST_JAR) $(VERSION)/testing/$(BLAS3TEST_JAR)
	-ln -s ../../$(SBLAS1TEST_DIR)/$(SBLAS1TEST_JAR) $(VERSION)/testing/$(SBLAS1TEST_JAR)
	-ln -s ../../$(SBLAS2TEST_DIR)/$(SBLAS2TEST_JAR) $(VERSION)/testing/$(SBLAS2TEST_JAR)
	-ln -s ../../$(SBLAS3TEST_DIR)/$(SBLAS3TEST_JAR) $(VERSION)/testing/$(SBLAS3TEST_JAR)
	-ln -s ../../$(MATGEN_DIR)/$(MATGEN_JAR) $(VERSION)/testing/$(MATGEN_JAR)
	-ln -s ../../$(SMATGEN_DIR)/$(SMATGEN_JAR) $(VERSION)/testing/$(SMATGEN_JAR)
	-ln -s ../../$(LINTEST_DIR)/$(LINTEST_JAR) $(VERSION)/testing/$(LINTEST_JAR)
	-ln -s ../../$(SLINTEST_DIR)/$(SLINTEST_JAR) $(VERSION)/testing/$(SLINTEST_JAR)
	-ln -s ../../$(EIGTEST_DIR)/$(EIGTEST_JAR) $(VERSION)/testing/$(EIGTEST_JAR)
	-ln -s ../../$(SEIGTEST_DIR)/$(SEIGTEST_JAR) $(VERSION)/testing/$(SEIGTEST_JAR)

timers_dist: timers timers_dist_common
	$(ZIP) -r9 $(TIMERS_DIST_ZIP) $(VERSION)/timing
	$(TAR) $(TARFLAGS) - $(VERSION)/timing | $(GZIP) > $(TIMERS_DIST_TGZ)

timers_dist_common:
	/bin/rm -rf $(VERSION)/timing
	mkdir -p $(VERSION)/timing/input_files_large
	-/bin/cp $(LINTIME_DIR)/*.in $(SLINTIME_DIR)/*.in $(EIGTIME_DIR)/*.in \
                 $(SEIGTIME_DIR)/*.in $(VERSION)/timing
	-/bin/cp $(LINTIME_DIR)/input_files_large/*.in \
                 $(SLINTIME_DIR)/input_files_large/*.in \
                 $(EIGTIME_DIR)/input_files_large/*.in \
                 $(SEIGTIME_DIR)/input_files_large/*.in \
                 $(VERSION)/timing/input_files_large
	-/bin/cp $(DISTDIR_TIMING)/*.sh $(DISTDIR_TIMING)/*.bat \
                 $(DISTDIR_TIMING)/README $(VERSION)/timing
	-ln -s ../../$(MATGEN_DIR)/$(MATGEN_JAR) $(VERSION)/timing/$(MATGEN_JAR)
	-ln -s ../../$(SMATGEN_DIR)/$(SMATGEN_JAR) $(VERSION)/timing/$(SMATGEN_JAR)
	-ln -s ../../$(LINTIME_DIR)/$(LINTIME_JAR) $(VERSION)/timing/$(LINTIME_JAR)
	-ln -s ../../$(SLINTIME_DIR)/$(SLINTIME_JAR) $(VERSION)/timing/$(SLINTIME_JAR)
	-ln -s ../../$(EIGTIME_DIR)/$(EIGTIME_JAR) $(VERSION)/timing/$(EIGTIME_JAR)
	-ln -s ../../$(SEIGTIME_DIR)/$(SEIGTIME_JAR) $(VERSION)/timing/$(SEIGTIME_JAR)

examples:
	cd examples; $(MAKE)

almost_clean:
	cd src; $(MAKE) clean
	cd examples; $(MAKE) clean
	/bin/rm -rf doc $(VERSION)

clean: almost_clean
	/bin/rm -rf $(LIBDIST_ZIP) $(LIBDIST_TGZ) \
		$(TESTERS_DIST_ZIP) $(TESTERS_DIST_TGZ) $(JAVADOC_DIST_ZIP) \
		$(JAVADOC_DIST_TGZ) $(TIMERS_DIST_ZIP) $(TIMERS_DIST_TGZ) \
                $(LIBDIST_STRICT_ZIP) $(LIBDIST_STRICT_TGZ)

=== jlapack-3.1.1/examples/Makefile ===
JAVAC=javac

BLAS_CLASSPATH=.:../f2jutil.jar:../blas.jar
SIMPLE_BLAS_CLASSPATH=$(BLAS_CLASSPATH):../blas_simple.jar
LAPACK_CLASSPATH=$(BLAS_CLASSPATH):../lapack.jar:../xerbla.jar
SIMPLE_LAPACK_CLASSPATH=$(LAPACK_CLASSPATH):../lapack_simple.jar

all: DdotTest.class SimpleDdotTest.class DgesvdTest.class SimpleDgesvdTest.class \
     DlaruvTest.class DsygvTest.class DstevrTest.class SimpleDsygvTest.class

DdotTest.class: DdotTest.java
	$(JAVAC) -classpath $(BLAS_CLASSPATH) DdotTest.java
SimpleDdotTest.class: SimpleDdotTest.java
	$(JAVAC) -classpath $(SIMPLE_BLAS_CLASSPATH) SimpleDdotTest.java
DlaruvTest.class: DlaruvTest.java
	$(JAVAC) -classpath $(LAPACK_CLASSPATH) DlaruvTest.java
DsygvTest.class: DsygvTest.java
	$(JAVAC) -classpath $(LAPACK_CLASSPATH) DsygvTest.java
DstevrTest.class: DstevrTest.java
	$(JAVAC) -classpath $(LAPACK_CLASSPATH) DstevrTest.java
SimpleDsygvTest.class: SimpleDsygvTest.java
	$(JAVAC) -classpath $(SIMPLE_LAPACK_CLASSPATH) SimpleDsygvTest.java
DgesvdTest.class: DgesvdTest.java
	$(JAVAC) -classpath $(LAPACK_CLASSPATH) DgesvdTest.java
SimpleDgesvdTest.class: SimpleDgesvdTest.java
	$(JAVAC) -classpath $(SIMPLE_LAPACK_CLASSPATH) SimpleDgesvdTest.java

clean:
	/bin/rm -f *.class

=== jlapack-3.1.1/src/Makefile ===
.PHONY: lib all testers err blas lapack util

ROOT=..
include $(ROOT)/make.def

lib:    util err blas lapack

javasrc:
	$(MAKE) -f Makefile_javasrc

all:    lib testers
	
testers:        err blas lapack
	cd $(ROOT)/$(TESTING_DIR);$(MAKE)

timers:        err blas lapack
	cd $(ROOT)/$(TIMING_DIR);$(MAKE)

err:
	cd $(ROOT)/$(ERR_DIR);$(MAKE)

blas:   util err
	cd $(ROOT)/$(BLAS_DIR);$(MAKE)

lapack: util err
	cd $(ROOT)/$(LAPACK_DIR);$(MAKE)

util:
	cd $(ROOT)/$(UTIL_DIR);$(MAKE)

clean:
	cd $(ROOT)/$(ERR_DIR);$(MAKE) clean
	cd $(ROOT)/$(BLAS_DIR);$(MAKE) clean
	cd $(ROOT)/$(LAPACK_DIR);$(MAKE) clean
	cd $(ROOT)/$(TESTING_DIR);$(MAKE) clean
	cd $(ROOT)/$(TIMING_DIR);$(MAKE) clean
	cd $(ROOT)/$(UTIL_DIR);$(MAKE) clean

=== jlapack-3.1.1/src/blas/Makefile ===
.SUFFIXES: .f .java

ROOT=../..
include $(ROOT)/make.def

F2JFLAGS=-c .:$(OUTDIR):$(ROOT)/$(ERR_OBJ) -p $(BLAS_PACKAGE) -o $(OUTDIR) -s -d $(STATIC)

$(BLAS_JAR): $(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR) blas.f
	$(F2J) $(F2JFLAGS) blas.f > /dev/null
	cd $(OUTDIR); $(JAR) cvf ../$(BLAS_JAR) `find . -name "*.class"`
	mkdir -p $(SIMPLE_DIR)/$(BLAS_PDIR)
	-cp `find $(OUTDIR)/$(BLAS_PDIR) -name "[A-Z][A-Z]*.java"` $(SIMPLE_DIR)/$(BLAS_PDIR)
	-$(JAVAC) -classpath .:$(BLAS_JAR):$(SIMPLE_DIR):$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(SIMPLE_DIR)/$(BLAS_PDIR)/*.java
	cd $(SIMPLE_DIR); $(JAR) cvf ../$(SIMPLE_BLAS_JAR) `find . -name "*.class"`

nojar: $(ROOT)/$(ERR_DIR)/$(ERR_JAR) blas.f
	$(F2J) $(F2JFLAGS) blas.f > /dev/null

$(ROOT)/$(ERR_DIR)/$(ERR_JAR):
	cd $(ROOT)/$(ERR_DIR);$(MAKE)

javasrc:
	$(MAKE) -f Makefile_javasrc

$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):
	cd $(ROOT)/$(UTIL_DIR); $(MAKE)

verify:	$(BLAS_JAR)
	./verify_all.csh

clean:
	/bin/rm -rf *.java *.class *.f2j $(BLAS_JAR) $(SIMPLE_BLAS_JAR) $(OUTDIR) $(JAVASRC_OUTDIR) $(SIMPLE_DIR)

=== jlapack-3.1.1/src/error_reporting/Makefile ===
.SUFFIXES: .f .java

ROOT=../..
include $(ROOT)/make.def

F2JFLAGS=-c .:$(OUTDIR) -p $(ERR_PACKAGE) -o $(OUTDIR)

$(ROOT)/$(ERR_IDX): err.f
	$(F2J) $(F2JFLAGS) $? > /dev/null
	cd $(OUTDIR); $(JAR) cvf ../$(ERR_JAR) `find . -name "*.class"`

nojar: err.f
	$(F2J) $(F2JFLAGS) $? > /dev/null


javasrc:
	$(MAKE) -f Makefile_javasrc

clean:
	/bin/rm -rf *.java *.class *.f2j $(OUTDIR) $(JAVASRC_OUTDIR) $(ERR_JAR)

=== jlapack-3.1.1/src/lapack/Makefile ===
.SUFFIXES: .f .java

ROOT=../..

include $(ROOT)/make.def

F2JFLAGS=-c .:$(OUTDIR):$(ROOT)/$(ERR_OBJ):$(ROOT)/$(BLAS_OBJ) -p $(LAPACK_PACKAGE) -o $(OUTDIR) -s -d $(STATIC)

$(ROOT)/$(LAPACK_IDX): $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(ERR_DIR)/$(ERR_JAR) lapack.f
	$(F2J) $(F2JFLAGS) lapack.f > /dev/null
	cd $(OUTDIR); $(JAR) cvf ../$(LAPACK_JAR) `find . -name "*.class"`
	mkdir -p $(SIMPLE_DIR)/$(LAPACK_PDIR)
	-cp `find $(OUTDIR)/$(LAPACK_PDIR) -name "[A-Z][A-Z]*.java"` $(SIMPLE_DIR)/$(LAPACK_PDIR)
	-$(JAVAC) -classpath .:$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):$(LAPACK_JAR):$(SIMPLE_DIR):$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(SIMPLE_DIR)/$(LAPACK_PDIR)/*.java
	cd $(SIMPLE_DIR); $(JAR) cvf ../$(SIMPLE_LAPACK_JAR) `find . -name "*.class"`

nojar: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(ERR_DIR)/$(ERR_JAR) lapack.f
	$(F2J) $(F2JFLAGS) lapack.f > /dev/null
	
$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):
	cd $(ROOT)/$(BLAS_DIR);$(MAKE)

$(ROOT)/$(ERR_DIR)/$(ERR_JAR):
	cd $(ROOT)/$(ERR_DIR);$(MAKE)

javasrc:
	$(MAKE) -f Makefile_javasrc

verify: $(LAPACK_JAR)
	cd $(OUTDIR); $(JAVA) $(MORE_MEM_FLAG) -classpath .:$(JUSTICE):$(BCEL):$(ROOT)/../$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/../$(ERR_DIR)/$(ERR_JAR):$(ROOT)/../$(BLAS_DIR)/$(BLAS_JAR) $(VERIFY) $(LAPACK_PDIR)/*.class

clean:
	/bin/rm -rf *.java *.class *.f2j $(SIMPLE_LAPACK_JAR) $(LAPACK_JAR) $(OUTDIR) $(JAVASRC_OUTDIR) $(SIMPLE_DIR)

=== jlapack-3.1.1/src/testing/Makefile ===
.PHONY:	blas1 blas2 blas3 runtests clean sblas1 sblas2 sblas3 eig lin seig slin

ROOT=../..

include $(ROOT)/make.def

testers:	blas1 blas2 blas3 eig lin sblas1 sblas2 sblas3 seig slin

blas1:	$(ROOT)/$(BLAS1TEST_IDX)
blas2:	$(ROOT)/$(BLAS2TEST_IDX)
blas3:	$(ROOT)/$(BLAS3TEST_IDX)
eig:	$(ROOT)/$(EIGTEST_IDX)
lin:	$(ROOT)/$(LINTEST_IDX)

sblas1:  $(ROOT)/$(SBLAS1TEST_IDX)
sblas2:  $(ROOT)/$(SBLAS2TEST_IDX)
sblas3:  $(ROOT)/$(SBLAS3TEST_IDX)
seig:    $(ROOT)/$(SEIGTEST_IDX)
slin:    $(ROOT)/$(SLINTEST_IDX)


$(ROOT)/$(BLAS1TEST_IDX):
	cd blas1;$(MAKE)
$(ROOT)/$(BLAS2TEST_IDX):
	cd blas2;$(MAKE)
$(ROOT)/$(BLAS3TEST_IDX):
	cd blas3;$(MAKE)
$(ROOT)/$(EIGTEST_IDX):
	cd eig;$(MAKE)
$(ROOT)/$(LINTEST_IDX):
	cd lin;$(MAKE)

$(ROOT)/$(SBLAS1TEST_IDX):
	cd sblas1;$(MAKE)
$(ROOT)/$(SBLAS2TEST_IDX):
	cd sblas2;$(MAKE)
$(ROOT)/$(SBLAS3TEST_IDX):
	cd sblas3;$(MAKE)
$(ROOT)/$(SEIGTEST_IDX):
	cd seig;$(MAKE)
$(ROOT)/$(SLINTEST_IDX):
	cd slin;$(MAKE)

runtests:	blastest lintest eigtest sblastest slintest seigtest

blastest:
	cd blas1;$(MAKE) runtest
	cd blas2;$(MAKE) runtest
	cd blas3;$(MAKE) runtest

sblastest:
	cd sblas1;$(MAKE) runtest
	cd sblas2;$(MAKE) runtest
	cd sblas3;$(MAKE) runtest

eigtest:
	cd eig;$(MAKE) runtest

seigtest:
	cd seig;$(MAKE) runtest

lintest:
	cd lin;$(MAKE) runtest

slintest:
	cd slin;$(MAKE) runtest
	
clean:
	cd blas1;$(MAKE) clean
	cd blas2;$(MAKE) clean
	cd blas3;$(MAKE) clean
	cd sblas1;$(MAKE) clean
	cd sblas2;$(MAKE) clean
	cd sblas3;$(MAKE) clean
	cd eig;$(MAKE) clean
	cd seig;$(MAKE) clean
	cd lin;$(MAKE) clean
	cd slin;$(MAKE) clean
	cd matgen;$(MAKE) clean
	cd smatgen;$(MAKE) clean

=== jlapack-3.1.1/src/timing/Makefile ===
.PHONY:	runtimers eigtimer lintimer clean

ROOT=../..

include $(ROOT)/make.def

timers:	eigtimer lintimer seigtimer slintimer

eigtimer: $(ROOT)/$(EIGTIME_IDX)
seigtimer: $(ROOT)/$(SEIGTIME_IDX)
lintimer: $(ROOT)/$(LINTIME_IDX)
slintimer: $(ROOT)/$(SLINTIME_IDX)

$(ROOT)/$(EIGTIME_IDX):
	cd eig;$(MAKE)
$(ROOT)/$(SEIGTIME_IDX):
	cd seig;$(MAKE)
$(ROOT)/$(LINTIME_IDX):
	cd lin;$(MAKE)
$(ROOT)/$(SLINTIME_IDX):
	cd slin;$(MAKE)

runtimers:
	cd eig;$(MAKE) runtimer
	cd lin;$(MAKE) runtimer
	cd seig;$(MAKE) runtimer
	cd slin;$(MAKE) runtimer

clean:
	cd eig;$(MAKE) clean
	cd lin;$(MAKE) clean
	cd seig;$(MAKE) clean
	cd slin;$(MAKE) clean

=== jlapack-3.1.1/src/util/Makefile ===
.PHONY:	util

ROOT=../..
include $(ROOT)/make.def

$(UTIL_JAR):
	if test -f $(ROOT)/../util/$(UTIL_JAR); then \
		cp $(ROOT)/../util/$(UTIL_JAR) .; \
	else \
		$(MAKE) util_deprecated;\
	fi

util_deprecated:	$(UTIL_CLASSES)

$(UTIL_CLASSES):
	mkdir -p $(OUTDIR)
	javac -d $(OUTDIR) $(UTIL_PDIR)/*.java
	cd $(OUTDIR); $(JAR) cvf ../$(UTIL_JAR) .

clean:
	/bin/rm -rf $(OUTDIR) $(UTIL_JAR)

=== jlapack-3.1.1/src/testing/blas1/Makefile ===
.SUFFIXES: .f .java

ROOT=../../..

include $(ROOT)/make.def

F2JFLAGS=-c .:$(ROOT)/$(BLAS_OBJ) -p $(BLASTEST_PACKAGE) -o $(OUTDIR) $(STATIC)

tester: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS1TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)
	/bin/rm -f $(BLAS1TEST_JAR)
	cd $(OUTDIR); $(JAR) cvf ../$(BLAS1TEST_JAR) `find . -name "*.class"`

nojar: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS1TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)

$(ROOT)/$(BLAS1TEST_IDX):	dblat1.f
	$(F2J) $(F2JFLAGS) $< > /dev/null

$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):
	cd $(ROOT)/$(BLAS_DIR); $(MAKE)

$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):
	cd $(ROOT)/$(UTIL_DIR); $(MAKE)

runtest:	tester
	$(JAVA) $(JFLAGS) -cp .:$(BLAS1TEST_JAR):$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(BLASTEST_PACKAGE).Dblat1

srctest:
	$(MAKE) -f Makefile_javasrc runtest

verify: $(ROOT)/$(BLAS1TEST_IDX)
	cd $(OUTDIR); $(JAVA) $(MORE_MEM_FLAG) -classpath .:$(JUSTICE):$(BCEL):$(ROOT)/../$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/../$(ERR_DIR)/$(ERR_JAR):$(ROOT)/../$(BLAS_DIR)/$(BLAS_JAR) $(VERIFY) $(BLASTEST_PDIR)/*.class


clean:
	/bin/rm -rf *.java *.class *.f2j $(OUTDIR) $(JAVASRC_OUTDIR) $(BLAS1TEST_JAR)

=== jlapack-3.1.1/src/testing/blas2/Makefile ===
.SUFFIXES: .f .java

ROOT=../../..

include $(ROOT)/make.def

XERBLAFLAGS= -c .:$(ROOT)/$(BLAS_OBJ) -p $(ERR_PACKAGE)
F2JFLAGS=-c .:$(ROOT)/$(BLAS_OBJ) -p $(BLASTEST_PACKAGE) -o $(OUTDIR) $(STATIC)

tester: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS2TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)
	/bin/rm -f $(BLAS2TEST_JAR)
	cd $(OUTDIR); $(JAR) cvf0 ../$(BLAS2TEST_JAR) `find . -name "*.class"`
	$(JAR) uvf0 $(BLAS2TEST_JAR) `find org -name "*.class"`

nojar: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS2TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)

$(ROOT)/$(BLAS2TEST_IDX):	dblat2.f
	$(F2J) $(XERBLAFLAGS) xerbla.f > /dev/null
	$(F2J) $(F2JFLAGS) $< > /dev/null

$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):
	cd $(ROOT)/$(BLAS_DIR); $(MAKE)

$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):
	cd $(ROOT)/$(UTIL_DIR); $(MAKE)

runtest:	tester
	$(JAVA) $(JFLAGS) -cp .:$(BLAS2TEST_JAR):$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(BLASTEST_PACKAGE).Dblat2 < dblat2.in

srctest:
	$(MAKE) -f Makefile_javasrc

verify: $(ROOT)/$(BLAS2TEST_IDX)
	cd $(OUTDIR); $(JAVA) $(MORE_MEM_FLAG) -classpath .:..:$(JUSTICE):$(BCEL):$(ROOT)/../$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/../$(ERR_DIR)/$(ERR_JAR):$(ROOT)/../$(BLAS_DIR)/$(BLAS_JAR) $(VERIFY) $(BLASTEST_PDIR)/*.class

clean:
	/bin/rm -rf *.java *.class *.f2j org $(OUTDIR) $(JAVASRC_OUTDIR) $(BLAS2TEST_JAR)

=== jlapack-3.1.1/src/testing/blas3/Makefile ===
.SUFFIXES: .f .java

ROOT=../../..

include $(ROOT)/make.def

XERBLAFLAGS= -c .:$(ROOT)/$(BLAS_OBJ) -p $(ERR_PACKAGE)
F2JFLAGS=-c .:$(ROOT)/$(BLAS_OBJ) -p $(BLASTEST_PACKAGE) -o $(OUTDIR) $(STATIC)

tester: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS3TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)
	/bin/rm -f $(BLAS3TEST_JAR)
	cd $(OUTDIR); $(JAR) cvf ../$(BLAS3TEST_JAR) `find . -name "*.class"`
	$(JAR) uvf $(BLAS3TEST_JAR) `find org -name "*.class"`

nojar: $(ROOT)/$(BLAS_DIR)/$(BLAS_JAR) $(ROOT)/$(BLAS3TEST_IDX) $(ROOT)/$(UTIL_DIR)/$(UTIL_JAR)

$(ROOT)/$(BLAS3TEST_IDX):	dblat3.f
	$(F2J) $(XERBLAFLAGS) xerbla.f > /dev/null
	$(F2J) $(F2JFLAGS) $< > /dev/null

$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):
	cd $(ROOT)/$(BLAS_DIR); $(MAKE)

$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):
	cd $(ROOT)/$(UTIL_DIR); $(MAKE)

runtest:	tester
	$(JAVA) $(JFLAGS) -cp .:$(BLAS3TEST_JAR):$(ROOT)/$(BLAS_DIR)/$(BLAS_JAR):$(ROOT)/$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/$(ERR_DIR)/$(ERR_JAR) $(BLASTEST_PACKAGE).Dblat3 < dblat3.in

srctest:
	$(MAKE) -f Makefile_javasrc

verify: $(ROOT)/$(BLAS3TEST_IDX)
	cd $(OUTDIR); $(JAVA) $(MORE_MEM_FLAG) -classpath .:..:$(JUSTICE):$(BCEL):$(ROOT)/../$(UTIL_DIR)/$(UTIL_JAR):$(ROOT)/../$(ERR_DIR)/$(ERR_JAR):$(ROOT)/../$(BLAS_DIR)/$(BLAS_JAR) $(VERIFY) $(BLASTEST_PDIR)/*.class

clean:
	/bin/rm -rf *.java *.class *.f2j org $(OUTDIR) $(JAVASRC_OUTDIR) $(BLAS3TEST_JAR)

=== debian/changelog ===
jlapack (0.8~dfsg-7) unstable; urgency=medium

  * Team upload.
  * libjlapack-java is now marked Multi-Arch: foreign
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Fri, 03 Oct 2025 08:45:01 -0700

jlapack (0.8~dfsg-6) unstable; urgency=medium

  * Team upload.
  * Update Java target to 1.8 (Closes: #1052570)
  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Fri, 06 Sep 2024 22:38:02 -0700

jlapack (0.8~dfsg-5) unstable; urgency=medium

  * Fake watch file
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 08:47:43 +0100

jlapack (0.8~dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Add java9.patch and support Java 9.
    Thanks to Chris West for the report (Closes: #873982)

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 18:44:18 +0200

jlapack (0.8~dfsg-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Upload to unstable (main)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2016 21:06:08 +0200

jlapack (0.8~dfsg-2) experimental; urgency=medium

  * Build using free f2j - so moving from contrib to main
  * Moved from Debian Med SVN to Debian Java Git
  * debhelper 9
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * add manifest

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2016 17:27:05 +0100

jlapack (0.8~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #665341)

 -- Olivier Sallou <osallou@debian.org>  Mon, 26 Mar 2012 11:44:58 +0200

=== debian/control ===
Source: jlapack
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               f2j (>= 0.8.1+dfsg),
               javahelper,
               libf2j-java (>= 0.8.1+dfsg)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/jlapack
Vcs-Git: https://salsa.debian.org/java-team/jlapack.git
Homepage: https://icl.cs.utk.edu/f2j
Rules-Requires-Root: no

Package: libjlapack-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${java:Depends},
         libf2j-java
Recommends: ${java:Recommends}
Description: LAPACK numerical subroutines translated from their Fortran 77 source
 The package provides the LAPACK numerical subroutines translated from their
 subset Fortran 77 source into class files, executable by the Java Virtual
 Machine (JVM) and for use by Java programmers.
 .
 This makes it possible for Java applications or applets, distributed on the
 World Wide Web to use established legacy numerical code that was originally
 written in Fortran.
 The translation is accomplished using a special purpose Fortran-to-Java
 (source-to-source) compiler.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	cd jlapack-3.1.1 && make lib
	mv jlapack-3.1.1/src/lapack/lapack.jar jlapack-3.1.1/src/lapack/jlapack-lapack.jar
	mv jlapack-3.1.1/src/blas/blas.jar jlapack-3.1.1/src/blas/jlapack-blas.jar
	mv jlapack-3.1.1/src/error_reporting/xerbla.jar jlapack-3.1.1/src/error_reporting/jlapack-xerbla.jar


override_dh_clean:
	cd jlapack-3.1.1 && make clean
	rm -f jlapack-3.1.1/src/lapack/jlapack-lapack.jar
	rm -f jlapack-3.1.1/src/blas/jlapack-lapack.jar
	rm -f jlapack-3.1.1/src/blas/jlapack-blas.jar
	rm -f jlapack-3.1.1/src/error_reporting/jlapack-xerbla.jar
	dh_clean

=== debian/watch ===
version=4
opts="dversionmangle=s/.*/0.No-Release/;auto,repacksuffix=+dfsg,repack,compression=xz" \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
